org.apache.tinkerpop.gremlin.process.computer

## Class Memory.Exceptions

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.Memory.Exceptions

- Enclosing interface:
    Memory

      public static class Memory.Exceptions
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IllegalArgumentException` | `memoryAddOnlyDuringVertexProgramExecute(String key)`
    `static IllegalArgumentException` | `memoryDoesNotExist(String key)`
    `static IllegalStateException` | `memoryIsCurrentlyImmutable()`
    `static IllegalArgumentException` | `memoryKeyCanNotBeEmpty()`
    `static IllegalArgumentException` | `memoryKeyCanNotBeNull()`
    `static IllegalArgumentException` | `memorySetOnlyDuringVertexProgramSetUpAndTerminate(String key)`
    `static IllegalArgumentException` | `memoryValueCanNotBeNull()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### memoryKeyCanNotBeEmpty

          public static IllegalArgumentException memoryKeyCanNotBeEmpty()

    - #### memoryKeyCanNotBeNull

          public static IllegalArgumentException memoryKeyCanNotBeNull()

    - #### memoryValueCanNotBeNull

          public static IllegalArgumentException memoryValueCanNotBeNull()

    - #### memoryIsCurrentlyImmutable

          public static IllegalStateException memoryIsCurrentlyImmutable()

    - #### memoryDoesNotExist

          public static IllegalArgumentException memoryDoesNotExist(String key)

    - #### memorySetOnlyDuringVertexProgramSetUpAndTerminate

          public static IllegalArgumentException memorySetOnlyDuringVertexProgramSetUpAndTerminate(String key)

    - #### memoryAddOnlyDuringVertexProgramExecute

          public static IllegalArgumentException memoryAddOnlyDuringVertexProgramExecute(String key)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.